# TrainerAI | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TrainerAI

Stores data and helper functions about a trainers AI options.

- Defined in src/data/trainers/trainer-config.ts:62

##### Index

### Constructors

constructor

### Properties

instantTeras
teraMode

### Methods

canTerastallize
setInstantTera

## Constructors

### constructor

- new TrainerAI(teraMode?: TeraAIMode ): TrainerAI

  #### Parameters

  - teraMode: TeraAIMode = TeraAIMode.NO_TERA

  #### Returns TrainerAI

  - Defined in src/data/trainers/trainer-config.ts:69

## Properties

### instantTeras

instantTeras: number[]

- Defined in src/data/trainers/trainer-config.ts:64

### teraMode

teraMode: TeraAIMode = TeraAIMode.NO_TERA

- Defined in src/data/trainers/trainer-config.ts:63

## Methods

### canTerastallize

- canTerastallize(): boolean

  Checks if a trainer can tera

  #### Returns boolean

  Whether this trainer can currently tera

  - Defined in src/data/trainers/trainer-config.ts:78

### setInstantTera

- setInstantTera(index: number): void

  Sets a pokemon on this AI to just instantly Tera on first move used

  #### Parameters

  - index: number

    The index of the pokemon to instantly tera.

  #### Returns void

  - Defined in src/data/trainers/trainer-config.ts:86